| GL Studio C++ Runtime API

Public Member Functions | Protected Attributes | Friends | List of all members
GlsDynamicPath::State Class Reference

`#include <gls_dynamic_path.h>`

## Public Member Functions
| State (const State &)
| Copy constructor.
const State & | operator= (const State &)
void | MakeAttribDict ()
| Sets up DistiAttributes associated with each member of this class.
DistiAttribDict & | Attributes ()
void | Location (const Vector &value)
Vector | Location ()
Vector | Location () const
void | Rotation (const Vector &value)
Vector | Rotation ()
Vector | Rotation () const
void | Scale (const Vector &value)
Vector | Scale ()
Vector | Scale () const
void | Value (const float &value)
float | Value ()
float | Value () const

## Protected Attributes
Vector | _location
| The location of the animation state.
Vector | _rotation
| The rotation of the animation state.
Vector | _scale
| The scale of the animation state.
float | _value
| The key value of the animation state.
DistiAttribDict * | _attribDict
| Attribute storage for the members of this class.

## Friends
class | GlsDynamicPath

## Detailed Description

The State class. Contains the data for a state along the path.

## Member Function Documentation

## ◆ Attributes()

DistiAttribDict & Attributes | ( |  | ) |
| inline

Returns
  The attribute dictionary associated with the members of this class.

## ◆ Location() [1/3]

Vector Location | ( |  | ) |
| inline

Deprecated:
  Use the const version instead.

Returns
  The location value of this animation state.

## ◆ Location() [2/3]

Vector Location | ( |  | ) | const
| inline

Returns
  The location value of this animation state.

## ◆ Location() [3/3]

void Location | ( | const Vector & | value | ) |
| inline

Set the location value of this animation state.

Parameters

  value | The new location value.

## ◆ operator=()

const State & operator= | ( | const State & |  | ) |

Assignment operator

Returns
  The resulting object (this).

## ◆ Rotation() [1/3]

Vector Rotation | ( |  | ) |
| inline

Deprecated:
  Use the const version instead.

Returns
  The rotation value of this animation state.

## ◆ Rotation() [2/3]

Vector Rotation | ( |  | ) | const
| inline

Returns
  The rotation value of this animation state.

## ◆ Rotation() [3/3]

void Rotation | ( | const Vector & | value | ) |
| inline

Set the rotation value of this animation state.

Parameters

  value | The new rotation value.

## ◆ Scale() [1/3]

Vector Scale | ( |  | ) |
| inline

Deprecated:
  Use the const version instead.

Returns
  The scale value of this animation state.

## ◆ Scale() [2/3]

Vector Scale | ( |  | ) | const
| inline

Returns
  The scale value of this animation state.

## ◆ Scale() [3/3]

void Scale | ( | const Vector & | value | ) |
| inline

Set the scale value of this animation state.

Parameters

  value | The new scale value.

## ◆ Value() [1/3]

float Value | ( |  | ) |
| inline

Deprecated:
  Use the const version instead.

Returns
  The key value of this animation state.

## ◆ Value() [2/3]

float Value | ( |  | ) | const
| inline

Returns
  The key value of this animation state.

## ◆ Value() [3/3]

void Value | ( | const float & | value | ) |
| inline

Set the key value of this animation state

Parameters

  value | The new key value.

The documentation for this class was generated from the following file:

- gls_dynamic_path.h